Subject: bug#3834: 23.0.96; font rendering issue on Mac OS X

From: Chong Yidong <[email-masked]>
Date: Tue, 14 Jul 2009 10:51:17 -0400

Hi Adrian,

Could you take a look at this bug report as soon as you can?  Thanks.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3834

> I use the 'Terminus' font in emacs, and it seems that starting with
> 23.0.95 (and 23.0.96 as well), emacs always wants to render the font in
> bold.  It looked perfect in 23.0.94, so something has changed since
> then.
>
> Here is a screenshot of the correct font rendering in 23.0.94.  The
> buffer name on the modeline is properly bold, everything else is medium:
> http://attenuated.org/emacs/emacs-23.0.94.png
>
> Here is a screenshot of the incorrect font rendering in 23.0.96:
> http://attenuated.org/emacs/emacs-23.0.96.png
>
> Here is a copy of the font for reference:
> http://antihe.ro/misc/TerminusMedium.dfont
>
> As can be seen from the screenshot, I am setting the font with:
> (set-face-attribute 'default nil :family "terminus" :height 140)